## NAME

i.rgb.his - Transforms raster maps from RGB (Red-Green-Blue) color space to HIS (Hue-Intensity-Saturation) color space.

## KEYWORDS

imagery, color transformation, RGB, HIS

## SYNOPSIS

i.rgb.his
i.rgb.his help
i.rgb.his red_input=name green_input=name blue_input=name hue_output=name intensity_output=name saturation_output=name [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

red_input=name
  Name of input raster map (red)
green_input=name
  Name of input raster map (green)
blue_input=name
  Name of input raster map (blue)
hue_output=name
  Name for output raster map (hue)
intensity_output=name
  Name for output raster map (intensity)
saturation_output=name
  Name for output raster map (saturation)

## DESCRIPTION

i.rgb.his is an image processing program that processes three input raster map layers as red, green, and blue components and produces three output raster map layers representing the hue, intensity, and saturation of the data. The output raster map layers are created by a standard red-green-blue (rgb) to hue-intensity-saturation (his) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region definition and mask settings are respected.

## SEE ALSO

i.his.rgb

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University,
with acknowledgements to Ali Vali, Space Research Center, for the core routine.

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - imagery index - Full index

© 2003-2014 GRASS Development Team